ICU 71.1: Data Fields

ICU 71.1 71.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- safeClone() : icu::Collator, icu::SearchIterator, icu::StringSearch
- saveState() : icu::BytesTrie, icu::UCharsTrie
- scale : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- Scale() : icu::number::Scale
- scientific() : icu::number::Notation
- scriptDisplayName() : icu::LocaleDisplayNames
- SearchIterator() : icu::SearchIterator
- secondaryOrder() : icu::CollationElementIterator
- select() : icu::PluralRules
- SelectFormat() : icu::SelectFormat
- serialize() : icu::UnicodeSet
- set() : icu::Calendar, icu::ErrorCode, icu::number::impl::StringProp, icu::StringPiece, icu::UnicodeSet
- set2DigitYearStart() : icu::SimpleDateFormat
- setAmPmStrings() : icu::DateFormatSymbols
- setAppendItemFormat() : icu::DateTimePatternGenerator
- setAppendItemName() : icu::DateTimePatternGenerator
- setArray() : icu::Formattable
- setAttribute() : icu::Collator, icu::DecimalFormat, icu::RuleBasedCollator, icu::SearchIterator
- setBeginIndex() : icu::FieldPosition
- setBooleanAttribute() : icu::DateFormat
- setBreakIterator() : icu::SearchIterator
- setCalendar() : icu::DateFormat
- setCalendarLenient() : icu::DateFormat
- setCharAt() : icu::UnicodeString
- setChars() : icu::StringEnumeration
- setChoices() : icu::ChoiceFormat
- setCollator() : icu::StringSearch
- setContext() : icu::DateFormat, icu::DateIntervalFormat, icu::NumberFormat, icu::RuleBasedNumberFormat, icu::SimpleDateFormat
- setCurrency() : icu::DecimalFormat, icu::DecimalFormatSymbols, icu::NumberFormat
- setCurrencyPluralInfo() : icu::DecimalFormat
- setCurrencyPluralPattern() : icu::CurrencyPluralInfo
- setCurrencyUsage() : icu::DecimalFormat
- setData() : icu::UnicodeFilter, icu::UnicodeFunctor
- setDate() : icu::Formattable
- setDateFormatSymbols() : icu::SimpleDateFormat
- setDateIntervalInfo() : icu::DateIntervalFormat
- setDateTimeFormat() : icu::DateTimePatternGenerator
- setDecimal() : icu::DateTimePatternGenerator
- setDecimalFormatSymbols() : icu::DecimalFormat, icu::RuleBasedNumberFormat
- setDecimalNumber() : icu::Formattable
- setDecimalPatternMatchRequired() : icu::DecimalFormat
- setDecimalSeparatorAlwaysShown() : icu::DecimalFormat
- setDefault() : icu::Locale, icu::TimeZone
- setDefaultLocale() : icu::LocaleMatcher::Builder
- setDefaultParseOptions() : icu::TimeZoneFormat
- setDefaultRuleSet() : icu::RuleBasedNumberFormat
- setDemotionPerDesiredLocale() : icu::LocaleMatcher::Builder
- setDirection() : icu::LocaleMatcher::Builder
- setDouble() : icu::Formattable
- setDSTSavings() : icu::SimpleTimeZone
- setEndIndex() : icu::FieldPosition
- setEndRule() : icu::SimpleTimeZone
- setEraNames() : icu::DateFormatSymbols
- setEras() : icu::DateFormatSymbols
- setErrorIndex() : icu::ParsePosition
- setExponentSignAlwaysShown() : icu::DecimalFormat
- setExtension() : icu::LocaleBuilder
- setFallbackIntervalPattern() : icu::DateIntervalInfo
- setFavorSubtag() : icu::LocaleMatcher::Builder
- setField() : icu::FieldPosition
- setFindProgressCallback() : icu::RegexMatcher
- setFirstDayOfWeek() : icu::Calendar
- setFormat() : icu::MessageFormat
- setFormatFailIfMoreThanMaxDigits() : icu::DecimalFormat
- setFormats() : icu::MessageFormat
- setFormatWidth() : icu::DecimalFormat
- setFrom() : icu::TimeZoneTransition
- setFromPOSIXID() : icu::Locale
- setGMTOffsetDigits() : icu::TimeZoneFormat
- setGMTOffsetPattern() : icu::TimeZoneFormat
- setGMTPattern() : icu::TimeZoneFormat
- setGMTZeroFormat() : icu::TimeZoneFormat
- setGregorianChange() : icu::GregorianCalendar
- setGroupingSize() : icu::DecimalFormat
- setGroupingUsed() : icu::DecimalFormat, icu::NumberFormat
- setID() : icu::TimeZone, icu::Transliterator
- setIndex() : icu::CharacterIterator, icu::ParsePosition, icu::UCharCharacterIterator
- setIndex32() : icu::CharacterIterator, icu::UCharCharacterIterator
- setIndexOnly() : icu::Normalizer
- setInflowLabel() : icu::AlphabeticIndex
- setInt64() : icu::Formattable
- setInt64IterationContext() : icu::ConstrainedFieldPosition
- setIntervalPattern() : icu::DateIntervalInfo
- setKeywordValue() : icu::Locale
- setLanguage() : icu::LocaleBuilder
- setLanguageTag() : icu::LocaleBuilder
- setLastModified() : icu::VTimeZone
- setLenient() : icu::Calendar, icu::DateFormat, icu::DecimalFormat, icu::NumberFormat, icu::RuleBasedNumberFormat
- setLocale() : icu::CurrencyPluralInfo, icu::LocaleBuilder, icu::MessageFormat, icu::PluralFormat, icu::TimeUnitFormat
- setLocaleIDs() : icu::Format
- setLocales() : icu::Collator, icu::RuleBasedCollator
- setLocalPatternChars() : icu::DateFormatSymbols
- setLong() : icu::Formattable
- setMatchCallback() : icu::RegexMatcher
- setMatchLength() : icu::SearchIterator
- setMatchNotFound() : icu::SearchIterator
- setMatchStart() : icu::SearchIterator
- setMaxDistance() : icu::LocaleMatcher::Builder
- setMaximumContextLength() : icu::Transliterator
- setMaximumFractionDigits() : icu::DecimalFormat, icu::NumberFormat
- setMaximumIntegerDigits() : icu::DecimalFormat, icu::NumberFormat
- setMaximumSignificantDigits() : icu::DecimalFormat
- setMaxLabelCount() : icu::AlphabeticIndex
- setMaxVariable() : icu::Collator, icu::RuleBasedCollator
- setMeasureFormatLocale() : icu::MeasureFormat
- setMinimalDaysInFirstWeek() : icu::Calendar
- setMinimumExponentDigits() : icu::DecimalFormat
- setMinimumFractionDigits() : icu::DecimalFormat, icu::NumberFormat
- setMinimumGroupingDigits() : icu::DecimalFormat
- setMinimumIntegerDigits() : icu::DecimalFormat, icu::NumberFormat
- setMinimumSignificantDigits() : icu::DecimalFormat
- setMode() : icu::Normalizer
- setMonths() : icu::DateFormatSymbols
- setMultiplier() : icu::DecimalFormat
- setMultiplierScale() : icu::DecimalFormat
- setNarrowEras() : icu::DateFormatSymbols
- setNegativePrefix() : icu::DecimalFormat
- setNegativeSuffix() : icu::DecimalFormat
- setNoDefaultLocale() : icu::LocaleMatcher::Builder
- setNumberFormat() : icu::DateFormat, icu::PluralFormat, icu::TimeUnitFormat
- setOffset() : icu::CollationElementIterator, icu::SearchIterator, icu::StringSearch
- setOption() : icu::Normalizer
- setOverflowLabel() : icu::AlphabeticIndex
- setPadCharacter() : icu::DecimalFormat
- setPadPosition() : icu::DecimalFormat
- setParseCaseSensitive() : icu::DecimalFormat
- setParseIntegerOnly() : icu::DecimalFormat, icu::NumberFormat
- setParseNoExponent() : icu::DecimalFormat
- setPattern() : icu::StringSearch
- setPatternForCurrencySpacing() : icu::DecimalFormatSymbols
- setPluralRules() : icu::CurrencyPluralInfo
- setPositivePrefix() : icu::DecimalFormat
- setPositiveSuffix() : icu::DecimalFormat
- setQuarters() : icu::DateFormatSymbols
- setRawOffset() : icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::TimeZone, icu::VTimeZone
- setRegion() : icu::LocaleBuilder
- setRelatedYear() : icu::Calendar
- setReorderCodes() : icu::Collator, icu::RuleBasedCollator
- setRepeatedWallTimeOption() : icu::Calendar
- setRoundingIncrement() : icu::DecimalFormat
- setRoundingMode() : icu::DecimalFormat, icu::NumberFormat, icu::RuleBasedNumberFormat
- setScientificNotation() : icu::DecimalFormat
- setScript() : icu::LocaleBuilder
- setSecondaryGroupingSize() : icu::DecimalFormat
- setShortMonths() : icu::DateFormatSymbols
- setShortWeekdays() : icu::DateFormatSymbols
- setSignAlwaysShown() : icu::DecimalFormat
- setSignificantDigitsUsed() : icu::DecimalFormat
- setSkippedWallTimeOption() : icu::Calendar
- setSource() : icu::CanonicalIterator
- setStackLimit() : icu::RegexMatcher
- setStartRule() : icu::SimpleTimeZone
- setStartYear() : icu::SimpleTimeZone
- setState() : icu::ConstrainedFieldPosition, UCharIterator
- setStrength() : icu::Collator
- setString() : icu::Formattable
- setSupportedLocales() : icu::LocaleMatcher::Builder
- setSupportedLocalesFromListString() : icu::LocaleMatcher::Builder
- setSupportedLocalesViaConverter() : icu::LocaleMatcher::Builder
- setSymbol() : icu::DecimalFormatSymbols
- setText() : icu::BreakIterator, icu::CollationElementIterator, icu::Normalizer, icu::RuleBasedBreakIterator, icu::SearchIterator, icu::StringCharacterIterator, icu::StringSearch, icu::UCharCharacterIterator
- setTime() : icu::Calendar, icu::TimeZoneTransition
- setTimeInMillis() : icu::Calendar
- setTimeLimit() : icu::RegexMatcher
- setTimeSeparatorString() : icu::DateFormatSymbols
- setTimeZone() : icu::Calendar, icu::DateFormat, icu::DateIntervalFormat
- setTimeZoneFormat() : icu::SimpleDateFormat
- setTimeZoneNames() : icu::TimeZoneFormat
- setTo() : icu::number::impl::SymbolsWrapper, icu::TimeZoneTransition, icu::UnicodeString
- setToBogus() : icu::Locale, icu::UnicodeSet, icu::UnicodeString
- setToEnd() : icu::CharacterIterator
- setToStart() : icu::CharacterIterator
- setTrace() : icu::RegexMatcher
- setTZURL() : icu::VTimeZone
- setUnderflowLabel() : icu::AlphabeticIndex
- setUnicodeKeywordValue() : icu::Locale
- setUnicodeLocaleKeyword() : icu::LocaleBuilder
- setVariableTop() : icu::Collator, icu::RuleBasedCollator
- setVariant() : icu::LocaleBuilder
- setWeekdays() : icu::DateFormatSymbols
- setYearNames() : icu::DateFormatSymbols
- setZodiacNames() : icu::DateFormatSymbols
- setZoneStrings() : icu::DateFormatSymbols
- SHORT : icu::DateFormatSymbols, icu::TimeZone
- SHORT_COMMONLY_USED : icu::TimeZone
- SHORT_GENERIC : icu::TimeZone
- SHORT_GMT : icu::TimeZone
- sign : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- simple() : icu::number::Notation
- SimpleDateFormat() : icu::SimpleDateFormat
- SimpleFormatter() : icu::SimpleFormatter
- SimpleNumberFormatFactory() : icu::SimpleNumberFormatFactory
- SimpleTimeZone() : icu::SimpleTimeZone
- singleFormatter : icu::number::impl::RangeMacroProps
- size() : icu::StringPiece, icu::TimeZoneNames::MatchInfoCollection, icu::UnicodeSet, UConverterFromUnicodeArgs, UConverterToUnicodeArgs, UDataInfo, UIDNAInfo
- sizeOfStruct : UText
- sizeofUChar : UDataInfo
- skipToStrings() : icu::UnicodeSetIterator
- snext() : icu::StringEnumeration
- source : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- sourceIndex() : icu::Edits::Iterator
- sourceIndexFromDestinationIndex() : icu::Edits::Iterator
- sourceLimit : UConverterFromUnicodeArgs, UConverterToUnicodeArgs
- span() : icu::UnicodeSet
- spanBack() : icu::UnicodeSet
- spanBackUTF8() : icu::UnicodeSet
- spanQuickCheckYes() : icu::FilteredNormalizer2, icu::Normalizer2
- spanUTF8() : icu::UnicodeSet
- spare1 : UTextFuncs
- spare2 : UTextFuncs
- spare3 : UTextFuncs
- split() : icu::RegexMatcher, icu::RegexPattern
- splitToSingleUnits() : icu::MeasureUnit
- STANDARD_TIME : icu::DateTimeRule
- start() : icu::RegexMatcher, UCharIterator, UTransPosition
- start64() : icu::RegexMatcher
- startIndex() : icu::CharacterIterator, icu::Normalizer
- startsWith() : icu::UnicodeString
- State() : icu::BytesTrie::State, icu::UCharsTrie::State
- staticArray : USerializedSet
- staticGetBaseSkeleton() : icu::DateTimePatternGenerator
- staticGetSkeleton() : icu::DateTimePatternGenerator
- strengthOrder() : icu::CollationElementIterator
- StringByteSink() : icu::StringByteSink< StringClass >
- StringCharacterIterator() : icu::StringCharacterIterator
- StringEnumeration() : icu::StringEnumeration
- StringPiece() : icu::StringPiece
- StringProp() : icu::number::impl::StringProp
- StringSearch() : icu::StringSearch
- substr() : icu::StringPiece
- suppressBreakAfter() : icu::FilteredBreakIteratorBuilder
- swap() : icu::LocalArray< T >, icu::LocalPointer< T >, icu::UnicodeString
- symbols : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- SymbolsWrapper() : icu::number::impl::SymbolsWrapper
- syntaxError() : icu::Format